Customer
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST | |
GET | |
PATCH | |
GET | |
POST | |
POST |
List all customer tasks
Required API key scopes
customer_task:readQuery parameters
- account_idstring
- archive_statestringDefault:
activeOne of:"active""archived""all" - assigned_tostring
- due_afterstring
- due_beforestring
- has_due_atboolean
- limitintegerDefault:
50 - offsetintegerDefault:
0 - orderingstringOne of:
"name""-name""status""-status""assigned_to""-assigned_to""due_at""-due_at""updated_at""-updated_at""account""-account""created_at""-created_at" - searchstring
- statusesstring
Response
Example request
GET /api /projects /:project_id /customer_tasksExample response
Status 200
RESPONSE
Create customer tasks
Required API key scopes
customer_task:writeRequest parameters
- account_idstring | null
- namestring
- descriptionstring | null
- assigned_to_idinteger | null
- due_atstring | null
- statusDefault:
open
Response
Example request
POST /api /projects /:project_id /customer_tasksExample response
Status 201
RESPONSE
Retrieve customer tasks
Required API key scopes
customer_task:readPath parameters
- idstring
Response
Example request
GET /api /projects /:project_id /customer_tasks /:idExample response
Status 200
RESPONSE
Status 404 Task not found.
Update customer tasks
Required API key scopes
customer_task:writePath parameters
- idstring
Request parameters
- account_idstring | null
- namestring
- descriptionstring | null
- assigned_to_idinteger | null
- due_atstring | null
- status
Response
Example request
PATCH /api /projects /:project_id /customer_tasks /:idExample response
Status 200
RESPONSE
Retrieve
Required API key scopes
customer_task:readPath parameters
- idstring
Query parameters
- limitintegerDefault:
50 - offsetintegerDefault:
0
Response
Example request
GET /api /projects /:project_id /customer_tasks /:id /activitiesExample response
Status 200
RESPONSE
Create customer tasks archive
Required API key scopes
customer_task:writePath parameters
- idstring
Response
Example request
POST /api /projects /:project_id /customer_tasks /:id /archiveExample response
Status 200
RESPONSE
Create customer tasks restore
Required API key scopes
customer_task:writePath parameters
- idstring
Response
Example request
POST /api /projects /:project_id /customer_tasks /:id /restoreExample response
Status 200
RESPONSE











